#
# spec file for package python-gi-docgen
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pythons python3
Name:           python3-gi-docgen
Version:        2021.7
Release:        150400.5.69
Summary:        Documentation tool for GObject-based libraries
License:        Apache-2.0 AND GPL-3.0-or-later AND CC0-1.0
URL:            https://gitlab.gnome.org/ebassi/gi-docgen
Source:         https://files.pythonhosted.org/packages/source/g/gi-docgen/gi-docgen-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Jinja2}
BuildRequires:  %{python_module Markdown}
BuildRequires:  %{python_module MarkupSafe}
BuildRequires:  %{python_module Pygments}
BuildRequires:  %{python_module toml}
BuildRequires:  %{python_module typogrify}
# /SECTION
BuildRequires:  fdupes
Requires:       python3-Jinja2
Requires:       python3-Markdown > 3.2.0
Requires:       python3-MarkupSafe
Requires:       python3-Pygments
Requires:       python3-toml
Requires:       python3-typogrify
Suggests:       python3-coverage
Suggests:       python3-green
Obsoletes:      python38-gi-docgen < %{version}
BuildArch:      noarch
%python_subpackages

%description
Documentation tool for GObject-based libraries

%prep
%setup -q -n gi-docgen-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/gi-docgen
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative gi-docgen

%postun
%python_uninstall_alternative gi-docgen

%files %{python_files}
%doc README.md
%license LICENSES LICENSES/Apache-2.0.txt LICENSES/GPL-3.0-or-later.txt
%python_alternative %{_bindir}/gi-docgen
%{python_sitelib}/*
%{_mandir}/man1/gi-docgen.1%{?ext_man}
%{_datadir}/pkgconfig/gi-docgen.pc

%changelog
* Tue Oct 26 2021 yfjiang@suse.com
- Specify python-Markdown version to at least 3.2.0, because
  permalink_class options in TOC used by gi-docgen was introduced
  on 3.2.0:
  https://github.com/Python-Markdown/markdown/commit/1f3ec538a2acf25607253fc7c7a992950463931d
* Tue Aug 17 2021 bjorn.lie@gmail.com
- Update to version 2021.7:
  + Add a "check" sub-command
  + Allow defining multiple content directories
  + Detect gtk-doc code blocks for JavaScript
  + Multiple changes to the basic template
  + Add in-page content navigation
  + Filter hidden data from indices
  + Allow defining hidden symbols matching a regular expression
  + Handle (attribute element-type) annotation for GListModel
  + Fix class method linking
  + Fix links to callback type arguments
  + Fix argument listing in class methods
  + Don't grab the 's' key when the sidebar is hidden
  + Index the extra content files for search
  + Fix gtk-doc sigil handling in code blocks
  + Re-instate gtk-doc `()` function detection
- Switch to building only default flavour of python3.
* Fri Mar 19 2021 dimstar@opensuse.org
- Initial package, version 2021.2
